<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<script type="text/javascript">
<!--
var wys=false;
||undef||wys||
||ifequal||_auto_wysiwyg||true||
	||define||wys||true||
	wys=true;
||else||
	||ifequal||msg_alternative||true||
		||define||wys||true||
		wys=true;
	||endif||
||endif||

function wys_update()
{
	if (wys) {
		window.parent.parent.frames[1].wys_update();
	}
}

function do_wys()
{
	wys_update();
	document.sendform.message.value = window.parent.frames[1].document.bodyform.message.value;
	if (wys) {
		document.sendform.cmd.value = "attach_msg";
		document.sendform.msg_alternative.value=""; 
	}
	else {
		document.sendform.cmd.value = "attach_msg";
		document.sendform.msg_alternative.value="true"; 	
	}
	parent.frames[1].itembody = "false";
	document.sendform.submit();
}

var loaded = false;

function checkword(wrong_word, msg_line, nword)
{
	call_str = '||action||?cmd=check_word&utoken=||utoken||&attach_id=||attach_id||&word=';
	call_str = call_str + wrong_word;
	call_str = call_str + '&nword=';
	call_str = call_str + nword;
	call_str = call_str + '&line=';
	call_str = call_str + msg_line;
	call_str = call_str + '&&';

	msgWindow = open(call_str,'CHECK_SPELLING','width=320,height=240,toolbar=no,location=no,directories=no,status=no,menubar=no,resizable=yes,scrollbars=no','POPUP'); 
	msgWindow.opener = document;
	msgWindow.focus();
}

function write_message(){
	wys_update();
	if(window.parent.parent.frames[1].document.bodyform != null){
		window.parent.parent.frames[1].location.reload(true);
	}
}

function read_message(){
	wys_update();
	if(window.parent.parent.frames[0].document.bodyform != null){
		document.sendform.message.value = window.parent.parent.frames[1].document.bodyform.message.value;
	}
}

function hotkey(){
	if(window.parent.frames[0].hotkey){
		window.parent.frames[0].hotkey(event);
	}
}

||ifdef||netscape_version||
	document.captureEvents(Event.KEYPRESS);
	document.onkeypress = window.parent.frames[0].hotkey;
||endif||

//-->
</script>

<title>View spelling mistakes</title>
</head>

<body background="||cust_panel_background||" bgcolor="||cust_panel_bgcolor||" onkeypress="hotkey();" onload="write_message();">

||ifdef||error||
	<center>
	<table border="1">		
		<tr>
			<td><img src="||nwimg||/attention.gif" alt="Attention" /></td>
			<td bgcolor="ffffff">||error||</td>
		</tr>
	</table>
	</center>
||endif||

<form name="sendform" method="post" target="send" action="||action||" onsubmit="read_message();">
	<input type="hidden" name="pgp_type" value="||pgp_type||" />
	<input type="hidden" name="valid_max" value="||valid_max||" />
	<input type="hidden" name="valid_users" value="||valid_users||" />
	<input type="hidden" name="valid_day" value="||valid_day||" />
	<input type="hidden" name="valid_month" value="||valid_month||" />
	<input type="hidden" name="valid_year" value="||valid_year||" />
	<input type="hidden" name="attach_id" value="||attach_id||" />
	<input type="hidden" name="to" value="||html_text||to||" />
	<input type="hidden" name="cc" value="||html_text||cc||" />
	<input type="hidden" name="bcc" value="||html_text||bcc||" />
	<input type="hidden" name="subject" value="||html_text||subject||" />
	<input type="hidden" name="reply" value="||html_text||reply||" />
	<input type="hidden" name="force_connection" value="true" />
	<input type="hidden" name="redirect" value="||redirect||" />
	<input type="hidden" name="from" value="||html_text||from||" />
	<input type="hidden" name="myuidl" value="||myuidl||" />
	<input type="hidden" name="folder" value="||folder||" />
	<input type="hidden" name="not_new" value="||not_new||" />
	<input type="hidden" name="confirm" value="||confirm||" />
	<input type="hidden" name="page" value="" />
	<input type="hidden" name="process" value="" />
	<input type="hidden" name="isbulletin" value="||isbulletin||" />
	<input type="hidden" name="return_attach" value="true" />
	<input type="hidden" name="priority" value="||priority||" />
	<input type="hidden" name="copyself" value="||copyself||" />
	<input type="hidden" name="content_type" value="||content_type||" />
	<input type="hidden" name="msg_alternative" value="||msg_alternative||" />
	<input type="hidden" name="utoken" value="||utoken||" /> 
	<input type="hidden" name="cmd" value="" /> 
	<input type="hidden" name="misspelt_line" value="" />
	<input type="hidden" name="misspelt_word" value="" />
	<input type="hidden" name="word_number" value="" />
	<input type="hidden" name="corrected_word" value="" />
	<input type="hidden" name="message" value="||html_line||message||" />
	<input type="hidden" name="wys_message" value="" />
	<input type="hidden" name="answered" value="||answered||" />

	||ifdef||spell_list||||spell_list||||else||There were no spelling errors found||endif||
</form>
<script type="text/javascript">
<!--- hide script from old browsers
function dele()
{
	var i = 0, j;
  
	for (j=0; j<4; j++)
		if (document.sendform.oo[j].checked == true) i = j;  

	if (i==0)
		document.sendform.to.value = "";
	if (i==1)
		document.sendform.cc.value = "";
	if (i==2)
		document.sendform.bcc.value = "";
	if (i==3)
		document.sendform.reply.value = "";
	document.sendform.tolist.options[0].selected = true;
}

function setto(sel) 
{
	var option;
	var i;
	for (i=0; i<sel.options.length; i++) {
		if (sel.options[i].selected==true) {
			if (document.sendform.oo[0].checked == true) {
				if (document.sendform.to.value != "")
					document.sendform.to.value = ", " + document.sendform.to.value;
				document.sendform.to.value = sel.options[i].value + document.sendform.to.value;
			}
			if (document.sendform.oo[1].checked == true) {
				if (document.sendform.cc.value != "")
					document.sendform.cc.value = ", " + document.sendform.cc.value;
				document.sendform.cc.value = sel.options[i].value + document.sendform.cc.value;
			}
			if (document.sendform.oo[2].checked == true) {
				if (document.sendform.bcc.value != "")
					document.sendform.bcc.value = ", " + document.sendform.bcc.value;
				document.sendform.bcc.value = sel.options[i].value + document.sendform.bcc.value;
			}
			if (document.sendform.oo[3].checked == true) {
				if (document.sendform.reply.value != "")
					document.sendform.reply.value = ", " + document.sendform.reply.value;
				document.sendform.reply.value = sel.options[i].value + document.sendform.reply.value;
			}
		}
	}
	if (sel.options[0].selected==true) {
		dele();
	}
}

	var xmsg = '||wysiwyg||message||';
	document.sendform.wys_message.value = xmsg;

// end hiding from old browsers -->
</script>
</body>
</html>